Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans.factory.annotation
Class InjectionMetadata.InjectedElement

    java.lang.Object
      org.springframework.beans.factory.annotation.InjectionMetadata.InjectedElement

Enclosing class:
  InjectionMetadata

    public abstract static class InjectionMetadata.InjectedElement

extends Object

Field Summary
`protected boolean` | `isField`
`protected Member` | `member`
`protected PropertyDescriptor` | `pd`
`protected boolean` | `skip`

Constructor Summary
`protected` | `InjectionMetadata.InjectedElement(Member member, PropertyDescriptor pd)`

Method Summary
`protected void` | `checkResourceType(Class resourceType)`
`boolean` | `equals(Object other)`
`protected Object` | `getResourceToInject(Object target, String requestingBeanName)` Either this or `inject(java.lang.Object, java.lang.String, org.springframework.beans.PropertyValues)` needs to be overridden.
`protected Class` | `getResourceType()`
`int` | `hashCode()`
`protected void` | `inject(Object target, String requestingBeanName, PropertyValues pvs)` Either this or `getResourceToInject(java.lang.Object, java.lang.String)` needs to be overridden.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### member

    protected final Member member

### isField

    protected final boolean isField

### pd

    protected final PropertyDescriptor pd

### skip

    protected volatile boolean skip

Constructor Detail

### InjectionMetadata.InjectedElement

    protected InjectionMetadata.InjectedElement(Member member,
                                                PropertyDescriptor pd)

Method Detail

### getResourceType

    protected final Class getResourceType()

### checkResourceType

    protected final void checkResourceType(Class resourceType)

### inject

    protected void inject(Object target,
                          String requestingBeanName,
                          PropertyValues pvs)
                   throws Throwable

  Either this or `getResourceToInject(java.lang.Object, java.lang.String)` needs to be overridden.

  Throws:
    `Throwable`

### getResourceToInject

    protected Object getResourceToInject(Object target,
                                         String requestingBeanName)

  Either this or `inject(java.lang.Object, java.lang.String, org.springframework.beans.PropertyValues)` needs to be overridden.

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 The Spring Framework.